Skip to main content
POST
/
api
/
dev
/
create_buy_order
curl -X POST "https://api.liquid.tf/api/dev/create_buy_order" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [{
      "sku": "5021;6",
      "price": 16500,
      "quantity": 10,
      "user_note": "Looking for keys with clean history"
    }]
  }'
{
  "success": true
}

Overview

Creates buy orders for items you want to buy. Sellers can fulfill your buy orders by sending you the items. Max 100 buy orders per request.

Authentication

X-API-Key
string
required
Your site API key

Rate Limit

5 requests per minute

Request Body

items
array
required
Array of items to create buy orders for (max 100 items)
multiaccount_proxy
string
Steam ID of a linked account to associate with these buy orders. When set, the buy order’s automation status will be determined by that linked account’s user agent OR the main account’s autoaccept feature (whichever is active).

Response

success
boolean
Returns true if buy orders were successfully created
curl -X POST "https://api.liquid.tf/api/dev/create_buy_order" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_SITE_API_KEY" \
  -d '{
    "items": [{
      "sku": "5021;6",
      "price": 16500,
      "quantity": 10,
      "user_note": "Looking for keys with clean history"
    }]
  }'
{
  "success": true
}

How Buy Orders Work

1

Create buy order

You create a buy order with your desired price and quantity
2

Balance checked

Your balance is checked to determine maximum affordable quantity
3

Sellers fulfill

Sellers with matching items can fulfill your buy order
4

Payment on fulfillment

Funds are only deducted from your balance when a seller fulfills the order

Balance Requirements

No funds are reserved when creating buy orders. Your balance is only checked to limit the quantity to what you can afford. Payment happens when a seller fulfills your order.
If your balance is insufficient to cover the full quantity, the buy order quantity will be automatically reduced to what you can currently afford:
Maximum Quantity = floor(your_balance / price_per_item)

Linked Accounts

Use multiaccount_proxy to:
  • Manage buy orders across multiple Steam accounts
  • Separate trading activity between accounts
  • Have different automation statuses per account

User Notes

User notes are visible to all sellers and can help provide additional context about your buy order (e.g., “Looking for clean history”, “Willing to negotiate on price”).
User notes are limited to 180 characters and will be automatically filtered for profanity.